<?php

namespace RelatieApiV6;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'applicationError' => '\\RelatieApiV6\\StructType\\ApplicationError',
            'ActiviteittypeRec' => '\\RelatieApiV6\\StructType\\ActiviteittypeRec',
            'AdresRec' => '\\RelatieApiV6\\StructType\\AdresRec',
            'AfdelinginfoRec' => '\\RelatieApiV6\\StructType\\AfdelinginfoRec',
            'AfdelingRec' => '\\RelatieApiV6\\StructType\\AfdelingRec',
            'BedrijfinfoRec' => '\\RelatieApiV6\\StructType\\BedrijfinfoRec',
            'BedrijfInclContinfoRec' => '\\RelatieApiV6\\StructType\\BedrijfInclContinfoRec',
            'BedrijfInclContRec' => '\\RelatieApiV6\\StructType\\BedrijfInclContRec',
            'BedrijfRec' => '\\RelatieApiV6\\StructType\\BedrijfRec',
            'BetaalRec' => '\\RelatieApiV6\\StructType\\BetaalRec',
            'BiccodeRec' => '\\RelatieApiV6\\StructType\\BiccodeRec',
            'ContactpersooninfoRec' => '\\RelatieApiV6\\StructType\\ContactpersooninfoRec',
            'ContactpersoonRec' => '\\RelatieApiV6\\StructType\\ContactpersoonRec',
            'Creditcard' => '\\RelatieApiV6\\StructType\\Creditcard',
            'FunctieRec' => '\\RelatieApiV6\\StructType\\FunctieRec',
            'KenmerkgroepRec' => '\\RelatieApiV6\\StructType\\KenmerkgroepRec',
            'KenmerkRec' => '\\RelatieApiV6\\StructType\\KenmerkRec',
            'LandcodeRec' => '\\RelatieApiV6\\StructType\\LandcodeRec',
            'ManagerRec' => '\\RelatieApiV6\\StructType\\ManagerRec',
            'NetnummerRec' => '\\RelatieApiV6\\StructType\\NetnummerRec',
            'PersooninfoRec' => '\\RelatieApiV6\\StructType\\PersooninfoRec',
            'PersoonRec' => '\\RelatieApiV6\\StructType\\PersoonRec',
            'PrivacyCat' => '\\RelatieApiV6\\StructType\\PrivacyCat',
            'PrivacyHoofdCat' => '\\RelatieApiV6\\StructType\\PrivacyHoofdCat',
            'PrivacySubCat' => '\\RelatieApiV6\\StructType\\PrivacySubCat',
            'ProvinciecodeRec' => '\\RelatieApiV6\\StructType\\ProvinciecodeRec',
            'RayonRec' => '\\RelatieApiV6\\StructType\\RayonRec',
            'RelatiegroepRec' => '\\RelatieApiV6\\StructType\\RelatiegroepRec',
            'RelatienrRec' => '\\RelatieApiV6\\StructType\\RelatienrRec',
            'RelatieBiccodeRec' => '\\RelatieApiV6\\StructType\\RelatieBiccodeRec',
            'RelatieFunctieRec' => '\\RelatieApiV6\\StructType\\RelatieFunctieRec',
            'RelatieKenmerk' => '\\RelatieApiV6\\StructType\\RelatieKenmerk',
            'RelatieKortinggroepRec' => '\\RelatieApiV6\\StructType\\RelatieKortinggroepRec',
            'RelatiePrivacyCat' => '\\RelatieApiV6\\StructType\\RelatiePrivacyCat',
            'RelatieVerband' => '\\RelatieApiV6\\StructType\\RelatieVerband',
            'SearchNaamRec' => '\\RelatieApiV6\\StructType\\SearchNaamRec',
            'TaalcodeRec' => '\\RelatieApiV6\\StructType\\TaalcodeRec',
            'TitulatuurcodeRec' => '\\RelatieApiV6\\StructType\\TitulatuurcodeRec',
            'VrijeVeldenRec' => '\\RelatieApiV6\\StructType\\VrijeVeldenRec',
            'VrijCheckboxveldRec' => '\\RelatieApiV6\\StructType\\VrijCheckboxveldRec',
            'VrijCodeveldRec' => '\\RelatieApiV6\\StructType\\VrijCodeveldRec',
            'VrijDatumveldRec' => '\\RelatieApiV6\\StructType\\VrijDatumveldRec',
            'VrijNumeriekveldRec' => '\\RelatieApiV6\\StructType\\VrijNumeriekveldRec',
            'VrijTekstveldRec' => '\\RelatieApiV6\\StructType\\VrijTekstveldRec',
            'WebserviceOperatie' => '\\RelatieApiV6\\StructType\\WebserviceOperatie',
            'Activiteittypetable' => '\\RelatieApiV6\\StructType\\Activiteittypetable',
            'Afdelingtable' => '\\RelatieApiV6\\StructType\\Afdelingtable',
            'Bedrijftable' => '\\RelatieApiV6\\StructType\\Bedrijftable',
            'BedrijfInclConttable' => '\\RelatieApiV6\\StructType\\BedrijfInclConttable',
            'Biccodetable' => '\\RelatieApiV6\\StructType\\Biccodetable',
            'Contactpersoontable' => '\\RelatieApiV6\\StructType\\Contactpersoontable',
            'Functietable' => '\\RelatieApiV6\\StructType\\Functietable',
            'Kenmerkgroeptable' => '\\RelatieApiV6\\StructType\\Kenmerkgroeptable',
            'Kenmerktable' => '\\RelatieApiV6\\StructType\\Kenmerktable',
            'Landcodetable' => '\\RelatieApiV6\\StructType\\Landcodetable',
            'Netnummertable' => '\\RelatieApiV6\\StructType\\Netnummertable',
            'Persoontable' => '\\RelatieApiV6\\StructType\\Persoontable',
            'PrivacyCatInfo' => '\\RelatieApiV6\\StructType\\PrivacyCatInfo',
            'PrivacyHoofdCatInfo' => '\\RelatieApiV6\\StructType\\PrivacyHoofdCatInfo',
            'PrivacySubCatInfo' => '\\RelatieApiV6\\StructType\\PrivacySubCatInfo',
            'Provinciecodetable' => '\\RelatieApiV6\\StructType\\Provinciecodetable',
            'Relatienrtable' => '\\RelatieApiV6\\StructType\\Relatienrtable',
            'RelatieBiccodetable' => '\\RelatieApiV6\\StructType\\RelatieBiccodetable',
            'RelatieFunctietable' => '\\RelatieApiV6\\StructType\\RelatieFunctietable',
            'RelatieKenmerkInfo' => '\\RelatieApiV6\\StructType\\RelatieKenmerkInfo',
            'RelatieKortinggroeptable' => '\\RelatieApiV6\\StructType\\RelatieKortinggroeptable',
            'RelatiePrivacyCatInfo' => '\\RelatieApiV6\\StructType\\RelatiePrivacyCatInfo',
            'RelatieVerbandInfo' => '\\RelatieApiV6\\StructType\\RelatieVerbandInfo',
            'SearchNaamTable' => '\\RelatieApiV6\\StructType\\SearchNaamTable',
            'Taalcodetable' => '\\RelatieApiV6\\StructType\\Taalcodetable',
            'Titulatuurcodetable' => '\\RelatieApiV6\\StructType\\Titulatuurcodetable',
            'WebserviceOperaties' => '\\RelatieApiV6\\StructType\\WebserviceOperaties',
            'testConnectionRequest' => '\\RelatieApiV6\\StructType\\TestConnectionRequest',
            'testConnectionResponse' => '\\RelatieApiV6\\StructType\\TestConnectionResponse',
            'createPersoonRequest' => '\\RelatieApiV6\\StructType\\CreatePersoonRequest',
            'createPersoonResponse' => '\\RelatieApiV6\\StructType\\CreatePersoonResponse',
            'updatePersoonRequest' => '\\RelatieApiV6\\StructType\\UpdatePersoonRequest',
            'updatePersoonResponse' => '\\RelatieApiV6\\StructType\\UpdatePersoonResponse',
            'createBedrijfRequest' => '\\RelatieApiV6\\StructType\\CreateBedrijfRequest',
            'createBedrijfResponse' => '\\RelatieApiV6\\StructType\\CreateBedrijfResponse',
            'updateBedrijfRequest' => '\\RelatieApiV6\\StructType\\UpdateBedrijfRequest',
            'updateBedrijfResponse' => '\\RelatieApiV6\\StructType\\UpdateBedrijfResponse',
            'createContactpersoonRequest' => '\\RelatieApiV6\\StructType\\CreateContactpersoonRequest',
            'createContactpersoonResponse' => '\\RelatieApiV6\\StructType\\CreateContactpersoonResponse',
            'updateContactpersoonRequest' => '\\RelatieApiV6\\StructType\\UpdateContactpersoonRequest',
            'updateContactpersoonResponse' => '\\RelatieApiV6\\StructType\\UpdateContactpersoonResponse',
            'updatePersoonNrContactRequest' => '\\RelatieApiV6\\StructType\\UpdatePersoonNrContactRequest',
            'updatePersoonNrContactResponse' => '\\RelatieApiV6\\StructType\\UpdatePersoonNrContactResponse',
            'updateContPersoonNrContactRequest' => '\\RelatieApiV6\\StructType\\UpdateContPersoonNrContactRequest',
            'updateContPersoonNrContactResponse' => '\\RelatieApiV6\\StructType\\UpdateContPersoonNrContactResponse',
            'deleteContPersoonNrContactRequest' => '\\RelatieApiV6\\StructType\\DeleteContPersoonNrContactRequest',
            'deleteContPersoonNrContactResponse' => '\\RelatieApiV6\\StructType\\DeleteContPersoonNrContactResponse',
            'createAfdelingRequest' => '\\RelatieApiV6\\StructType\\CreateAfdelingRequest',
            'createAfdelingResponse' => '\\RelatieApiV6\\StructType\\CreateAfdelingResponse',
            'updateAfdelingRequest' => '\\RelatieApiV6\\StructType\\UpdateAfdelingRequest',
            'updateAfdelingResponse' => '\\RelatieApiV6\\StructType\\UpdateAfdelingResponse',
            'addBicRequest' => '\\RelatieApiV6\\StructType\\AddBicRequest',
            'addBicResponse' => '\\RelatieApiV6\\StructType\\AddBicResponse',
            'deleteBicRequest' => '\\RelatieApiV6\\StructType\\DeleteBicRequest',
            'deleteBicResponse' => '\\RelatieApiV6\\StructType\\DeleteBicResponse',
            'addFunctieRequest' => '\\RelatieApiV6\\StructType\\AddFunctieRequest',
            'addFunctieResponse' => '\\RelatieApiV6\\StructType\\AddFunctieResponse',
            'deleteFunctieRequest' => '\\RelatieApiV6\\StructType\\DeleteFunctieRequest',
            'deleteFunctieResponse' => '\\RelatieApiV6\\StructType\\DeleteFunctieResponse',
            'getFunctiesRequest' => '\\RelatieApiV6\\StructType\\GetFunctiesRequest',
            'getFunctiesResponse' => '\\RelatieApiV6\\StructType\\GetFunctiesResponse',
            'getBiccodesRequest' => '\\RelatieApiV6\\StructType\\GetBiccodesRequest',
            'getBiccodesResponse' => '\\RelatieApiV6\\StructType\\GetBiccodesResponse',
            'getTitulatuurcodesRequest' => '\\RelatieApiV6\\StructType\\GetTitulatuurcodesRequest',
            'getTitulatuurcodesResponse' => '\\RelatieApiV6\\StructType\\GetTitulatuurcodesResponse',
            'getLandcodesRequest' => '\\RelatieApiV6\\StructType\\GetLandcodesRequest',
            'getLandcodesResponse' => '\\RelatieApiV6\\StructType\\GetLandcodesResponse',
            'getTaalcodesRequest' => '\\RelatieApiV6\\StructType\\GetTaalcodesRequest',
            'getTaalcodesResponse' => '\\RelatieApiV6\\StructType\\GetTaalcodesResponse',
            'getProvinciecodesRequest' => '\\RelatieApiV6\\StructType\\GetProvinciecodesRequest',
            'getProvinciecodesResponse' => '\\RelatieApiV6\\StructType\\GetProvinciecodesResponse',
            'getRelatietypeRequest' => '\\RelatieApiV6\\StructType\\GetRelatietypeRequest',
            'getRelatietypeResponse' => '\\RelatieApiV6\\StructType\\GetRelatietypeResponse',
            'getPersoonRequest' => '\\RelatieApiV6\\StructType\\GetPersoonRequest',
            'getPersoonResponse' => '\\RelatieApiV6\\StructType\\GetPersoonResponse',
            'getPersonenRequest' => '\\RelatieApiV6\\StructType\\GetPersonenRequest',
            'getPersonenResponse' => '\\RelatieApiV6\\StructType\\GetPersonenResponse',
            'getBedrijfRequest' => '\\RelatieApiV6\\StructType\\GetBedrijfRequest',
            'getBedrijfResponse' => '\\RelatieApiV6\\StructType\\GetBedrijfResponse',
            'getContactpersoonRequest' => '\\RelatieApiV6\\StructType\\GetContactpersoonRequest',
            'getContactpersoonResponse' => '\\RelatieApiV6\\StructType\\GetContactpersoonResponse',
            'getAfdelingRequest' => '\\RelatieApiV6\\StructType\\GetAfdelingRequest',
            'getAfdelingResponse' => '\\RelatieApiV6\\StructType\\GetAfdelingResponse',
            'getBedrijfInclContRequest' => '\\RelatieApiV6\\StructType\\GetBedrijfInclContRequest',
            'getBedrijfInclContResponse' => '\\RelatieApiV6\\StructType\\GetBedrijfInclContResponse',
            'checkEmailRequest' => '\\RelatieApiV6\\StructType\\CheckEmailRequest',
            'checkEmailResponse' => '\\RelatieApiV6\\StructType\\CheckEmailResponse',
            'searchEmailRequest' => '\\RelatieApiV6\\StructType\\SearchEmailRequest',
            'searchEmailResponse' => '\\RelatieApiV6\\StructType\\SearchEmailResponse',
            'searchBedrijfRequest' => '\\RelatieApiV6\\StructType\\SearchBedrijfRequest',
            'searchBedrijfResponse' => '\\RelatieApiV6\\StructType\\SearchBedrijfResponse',
            'searchNaamRequest' => '\\RelatieApiV6\\StructType\\SearchNaamRequest',
            'searchNaamResponse' => '\\RelatieApiV6\\StructType\\SearchNaamResponse',
            'searchPersoonRequest' => '\\RelatieApiV6\\StructType\\SearchPersoonRequest',
            'searchPersoonResponse' => '\\RelatieApiV6\\StructType\\SearchPersoonResponse',
            'searchBedrijfInclContRequest' => '\\RelatieApiV6\\StructType\\SearchBedrijfInclContRequest',
            'searchBedrijfInclContResponse' => '\\RelatieApiV6\\StructType\\SearchBedrijfInclContResponse',
            'checkCredentialsRequest' => '\\RelatieApiV6\\StructType\\CheckCredentialsRequest',
            'checkCredentialsResponse' => '\\RelatieApiV6\\StructType\\CheckCredentialsResponse',
            'generatePasswordRequest' => '\\RelatieApiV6\\StructType\\GeneratePasswordRequest',
            'generatePasswordResponse' => '\\RelatieApiV6\\StructType\\GeneratePasswordResponse',
            'getRelatieKortinggroepenRequest' => '\\RelatieApiV6\\StructType\\GetRelatieKortinggroepenRequest',
            'getRelatieKortinggroepenResponse' => '\\RelatieApiV6\\StructType\\GetRelatieKortinggroepenResponse',
            'getNetnummersRequest' => '\\RelatieApiV6\\StructType\\GetNetnummersRequest',
            'getNetnummersResponse' => '\\RelatieApiV6\\StructType\\GetNetnummersResponse',
            'getActiviteittypenRequest' => '\\RelatieApiV6\\StructType\\GetActiviteittypenRequest',
            'getActiviteittypenResponse' => '\\RelatieApiV6\\StructType\\GetActiviteittypenResponse',
            'createActiviteitRequest' => '\\RelatieApiV6\\StructType\\CreateActiviteitRequest',
            'createActiviteitResponse' => '\\RelatieApiV6\\StructType\\CreateActiviteitResponse',
            'getAdresRequest' => '\\RelatieApiV6\\StructType\\GetAdresRequest',
            'getAdresResponse' => '\\RelatieApiV6\\StructType\\GetAdresResponse',
            'updatePasswordRequest' => '\\RelatieApiV6\\StructType\\UpdatePasswordRequest',
            'updatePasswordResponse' => '\\RelatieApiV6\\StructType\\UpdatePasswordResponse',
            'getBicVanIbanRequest' => '\\RelatieApiV6\\StructType\\GetBicVanIbanRequest',
            'getBicVanIbanResponse' => '\\RelatieApiV6\\StructType\\GetBicVanIbanResponse',
            'getIbanVanBankrekeningRequest' => '\\RelatieApiV6\\StructType\\GetIbanVanBankrekeningRequest',
            'getIbanVanBankrekeningResponse' => '\\RelatieApiV6\\StructType\\GetIbanVanBankrekeningResponse',
            'checkIbanRequest' => '\\RelatieApiV6\\StructType\\CheckIbanRequest',
            'checkIbanResponse' => '\\RelatieApiV6\\StructType\\CheckIbanResponse',
            'checkTelefoonRequest' => '\\RelatieApiV6\\StructType\\CheckTelefoonRequest',
            'checkTelefoonResponse' => '\\RelatieApiV6\\StructType\\CheckTelefoonResponse',
            'updateEmailRequest' => '\\RelatieApiV6\\StructType\\UpdateEmailRequest',
            'updateEmailResponse' => '\\RelatieApiV6\\StructType\\UpdateEmailResponse',
            'updateGeboortedatumRequest' => '\\RelatieApiV6\\StructType\\UpdateGeboortedatumRequest',
            'updateGeboortedatumResponse' => '\\RelatieApiV6\\StructType\\UpdateGeboortedatumResponse',
            'searchUsernameRequest' => '\\RelatieApiV6\\StructType\\SearchUsernameRequest',
            'searchUsernameResponse' => '\\RelatieApiV6\\StructType\\SearchUsernameResponse',
            'searchSmartcodeRequest' => '\\RelatieApiV6\\StructType\\SearchSmartcodeRequest',
            'searchSmartcodeResponse' => '\\RelatieApiV6\\StructType\\SearchSmartcodeResponse',
            'searchExternNummerRequest' => '\\RelatieApiV6\\StructType\\SearchExternNummerRequest',
            'searchExternNummerResponse' => '\\RelatieApiV6\\StructType\\SearchExternNummerResponse',
            'getSmartcodeByRelNoRequest' => '\\RelatieApiV6\\StructType\\GetSmartcodeByRelNoRequest',
            'getSmartcodeByRelNoResponse' => '\\RelatieApiV6\\StructType\\GetSmartcodeByRelNoResponse',
            'getKenmerkenRequest' => '\\RelatieApiV6\\StructType\\GetKenmerkenRequest',
            'getKenmerkenResponse' => '\\RelatieApiV6\\StructType\\GetKenmerkenResponse',
            'getRelatieManagerRequest' => '\\RelatieApiV6\\StructType\\GetRelatieManagerRequest',
            'getRelatieManagerResponse' => '\\RelatieApiV6\\StructType\\GetRelatieManagerResponse',
            'getRelatieRayonRequest' => '\\RelatieApiV6\\StructType\\GetRelatieRayonRequest',
            'getRelatieRayonResponse' => '\\RelatieApiV6\\StructType\\GetRelatieRayonResponse',
            'createVerbandRequest' => '\\RelatieApiV6\\StructType\\CreateVerbandRequest',
            'createVerbandResponse' => '\\RelatieApiV6\\StructType\\CreateVerbandResponse',
            'getVerbandInfoRequest' => '\\RelatieApiV6\\StructType\\GetVerbandInfoRequest',
            'getVerbandInfoResponse' => '\\RelatieApiV6\\StructType\\GetVerbandInfoResponse',
            'deleteVerbandRequest' => '\\RelatieApiV6\\StructType\\DeleteVerbandRequest',
            'deleteVerbandResponse' => '\\RelatieApiV6\\StructType\\DeleteVerbandResponse',
            'getKenmerkInfoRequest' => '\\RelatieApiV6\\StructType\\GetKenmerkInfoRequest',
            'getKenmerkInfoResponse' => '\\RelatieApiV6\\StructType\\GetKenmerkInfoResponse',
            'getKlantKenmerkRequest' => '\\RelatieApiV6\\StructType\\GetKlantKenmerkRequest',
            'getKlantKenmerkResponse' => '\\RelatieApiV6\\StructType\\GetKlantKenmerkResponse',
            'createKlantKenmerkRequest' => '\\RelatieApiV6\\StructType\\CreateKlantKenmerkRequest',
            'createKlantKenmerkResponse' => '\\RelatieApiV6\\StructType\\CreateKlantKenmerkResponse',
            'deleteKlantKenmerkRequest' => '\\RelatieApiV6\\StructType\\DeleteKlantKenmerkRequest',
            'deleteKlantKenmerkResponse' => '\\RelatieApiV6\\StructType\\DeleteKlantKenmerkResponse',
            'getPostcodeInfoRequest' => '\\RelatieApiV6\\StructType\\GetPostcodeInfoRequest',
            'getPostcodeInfoResponse' => '\\RelatieApiV6\\StructType\\GetPostcodeInfoResponse',
            'setOptInOutRequest' => '\\RelatieApiV6\\StructType\\SetOptInOutRequest',
            'setOptInOutResponse' => '\\RelatieApiV6\\StructType\\SetOptInOutResponse',
            'getPrivacyCatsRequest' => '\\RelatieApiV6\\StructType\\GetPrivacyCatsRequest',
            'getPrivacyCatsResponse' => '\\RelatieApiV6\\StructType\\GetPrivacyCatsResponse',
            'getPrivacySubCatsRequest' => '\\RelatieApiV6\\StructType\\GetPrivacySubCatsRequest',
            'getPrivacySubCatsResponse' => '\\RelatieApiV6\\StructType\\GetPrivacySubCatsResponse',
            'getRelatiePrivacyCatsRequest' => '\\RelatieApiV6\\StructType\\GetRelatiePrivacyCatsRequest',
            'getRelatiePrivacyCatsResponse' => '\\RelatieApiV6\\StructType\\GetRelatiePrivacyCatsResponse',
            'updateRelatiePrivacyStatusRequest' => '\\RelatieApiV6\\StructType\\UpdateRelatiePrivacyStatusRequest',
            'updateRelatiePrivacyStatusResponse' => '\\RelatieApiV6\\StructType\\UpdateRelatiePrivacyStatusResponse',
            'updateRelatiePrivacySubCatRequest' => '\\RelatieApiV6\\StructType\\UpdateRelatiePrivacySubCatRequest',
            'updateRelatiePrivacySubCatResponse' => '\\RelatieApiV6\\StructType\\UpdateRelatiePrivacySubCatResponse',
        );
    }
}
