<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Activiteittypetable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met beschikbare activiteittypen
 * @subpackage Structs
 * @date 20240419 package
 */
class Activiteittypetable extends AbstractStructBase
{
    /**
     * The activiteittype
     * Meta information extracted from the WSDL
     * - documentation: Activiteittype
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\ActiviteittypeRec[]
     */
    public $activiteittype;
    /**
     * Constructor method for Activiteittypetable
     * @uses Activiteittypetable::setActiviteittype()
     * @param \RelatieApiV6\StructType\ActiviteittypeRec[] $activiteittype
     */
    public function __construct(array $activiteittype = array())
    {
        $this
            ->setActiviteittype($activiteittype);
    }
    /**
     * Get activiteittype value
     * @return \RelatieApiV6\StructType\ActiviteittypeRec[]|null
     */
    public function getActiviteittype()
    {
        return $this->activiteittype;
    }
    /**
     * This method is responsible for validating the values passed to the setActiviteittype method
     * This method is willingly generated in order to preserve the one-line inline validation within the setActiviteittype method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateActiviteittypeForArrayConstraintsFromSetActiviteittype(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $activiteittypetableActiviteittypeItem) {
            // validation for constraint: itemType
            if (!$activiteittypetableActiviteittypeItem instanceof \RelatieApiV6\StructType\ActiviteittypeRec) {
                $invalidValues[] = is_object($activiteittypetableActiviteittypeItem) ? get_class($activiteittypetableActiviteittypeItem) : sprintf('%s(%s)', gettype($activiteittypetableActiviteittypeItem), var_export($activiteittypetableActiviteittypeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The activiteittype property can only contain items of type \RelatieApiV6\StructType\ActiviteittypeRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set activiteittype value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\ActiviteittypeRec[] $activiteittype
     * @return \RelatieApiV6\StructType\Activiteittypetable
     */
    public function setActiviteittype(array $activiteittype = array())
    {
        // validation for constraint: array
        if ('' !== ($activiteittypeArrayErrorMessage = self::validateActiviteittypeForArrayConstraintsFromSetActiviteittype($activiteittype))) {
            throw new \InvalidArgumentException($activiteittypeArrayErrorMessage, __LINE__);
        }
        $this->activiteittype = $activiteittype;
        return $this;
    }
    /**
     * Add item to activiteittype value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\ActiviteittypeRec $item
     * @return \RelatieApiV6\StructType\Activiteittypetable
     */
    public function addToActiviteittype(\RelatieApiV6\StructType\ActiviteittypeRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\ActiviteittypeRec) {
            throw new \InvalidArgumentException(sprintf('The activiteittype property can only contain items of type \RelatieApiV6\StructType\ActiviteittypeRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->activiteittype[] = $item;
        return $this;
    }
}
