<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BedrijfRec StructType
 * Meta information extracted from the WSDL
 * - documentation: Bedrijfsgegevens
 * @subpackage Structs
 * @date 20240419 package
 */
class BedrijfRec extends AbstractStructBase
{
    /**
     * The naam
     * Meta information extracted from the WSDL
     * - documentation: De bedrijfsnaam
     * - base: xsd:string
     * - maxLength: 120
     * - maxOccurs: 1
     * - minLength: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $naam;
    /**
     * The relatienummer
     * Meta information extracted from the WSDL
     * - documentation: Unieke sleutel voor het bedrijf.<BR>Verplicht in geval van een update.
     * - base: xsd:integer
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * - totalDigits: 15
     * @var int
     */
    public $relatienummer;
    /**
     * The afdeling
     * Meta information extracted from the WSDL
     * - documentation: Vaste afdelingsomschrijving van een bedrijf
     * - base: xsd:string
     * - maxLength: 120
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $afdeling;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - documentation: Het e-mail (1) adres van het bedrijf
     * - base: xsd:string
     * - maxLength: 80
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $email;
    /**
     * The email2
     * Meta information extracted from the WSDL
     * - documentation: Het e-mail (2) adres van het bedrijf
     * - base: xsd:string
     * - maxLength: 80
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $email2;
    /**
     * The email3
     * Meta information extracted from the WSDL
     * - documentation: Het e-mail (3) adres van het bedrijf
     * - base: xsd:string
     * - maxLength: 80
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $email3;
    /**
     * The email4
     * Meta information extracted from the WSDL
     * - documentation: Het e-mail (4) adres van het bedrijf
     * - base: xsd:string
     * - maxLength: 80
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $email4;
    /**
     * The telefoonnummer
     * Meta information extracted from the WSDL
     * - documentation: Het telefoonnummer van het bedrijf
     * - base: xsd:string
     * - maxLength: 80
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $telefoonnummer;
    /**
     * The faxnummer
     * Meta information extracted from the WSDL
     * - documentation: Het faxnummer van het bedrijf
     * - base: xsd:string
     * - maxLength: 80
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $faxnummer;
    /**
     * The website
     * Meta information extracted from the WSDL
     * - documentation: De website van het bedrijf
     * - base: xsd:string
     * - maxLength: 80
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $website;
    /**
     * The kvknummer
     * Meta information extracted from the WSDL
     * - documentation: Het Kamer van Koophandel nummer van het bedrijf
     * - base: xsd:string
     * - maxLength: 20
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $kvknummer;
    /**
     * The btwnummer
     * Meta information extracted from the WSDL
     * - documentation: Het BTW-nummer van het bedrijf
     * - base: xsd:string
     * - maxLength: 20
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $btwnummer;
    /**
     * The btwIndicatie
     * Meta information extracted from the WSDL
     * - documentation: 0=Normaal, 1=Geen BTW/ intra-communaurair, 2=Geen BTW/ buiten EU, 3=BTW verlegd.
     * - base: xsd:integer
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * - totalDigits: 1
     * @var int
     */
    public $btwIndicatie;
    /**
     * The relatieGroep
     * Meta information extracted from the WSDL
     * - documentation: De relatiegroep van het bedrijf
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV6\StructType\RelatiegroepRec
     */
    public $relatieGroep;
    /**
     * The betaling
     * Meta information extracted from the WSDL
     * - documentation: De betaalgegevens
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV6\StructType\BetaalRec
     */
    public $betaling;
    /**
     * The kredietlimiet
     * Meta information extracted from the WSDL
     * - documentation: De kredietlimiet
     * - base: xsd:decimal
     * - fractionDigits: 2
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * - totalDigits: 17
     * @var float
     */
    public $kredietlimiet;
    /**
     * The bestedingsruimte
     * Meta information extracted from the WSDL
     * - documentation: De beschikbare bestedingsruimte
     * - base: xsd:decimal
     * - fractionDigits: 2
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * - totalDigits: 17
     * @var float
     */
    public $bestedingsruimte;
    /**
     * The kortinggroepCode
     * Meta information extracted from the WSDL
     * - documentation: De kortinggroep code
     * - base: xsd:string
     * - maxLength: 12
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $kortinggroepCode;
    /**
     * The adresBezoek
     * Meta information extracted from the WSDL
     * - documentation: Het bezoekadres van het bedrijf
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV6\StructType\AdresRec
     */
    public $adresBezoek;
    /**
     * The adresCorrespondentie
     * Meta information extracted from the WSDL
     * - documentation: Het correspondentieadres van het bedrijf
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV6\StructType\AdresRec
     */
    public $adresCorrespondentie;
    /**
     * The adresPrive
     * Meta information extracted from the WSDL
     * - documentation: Het priveadres van het bedrijf
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV6\StructType\AdresRec
     */
    public $adresPrive;
    /**
     * The landCode
     * Meta information extracted from the WSDL
     * - documentation: De (Iso-) landcode van het land van het bedrijf
     * - base: xsd:string
     * - maxLength: 3
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $landCode;
    /**
     * The provincieCode
     * Meta information extracted from the WSDL
     * - documentation: De provinciecode van het bedrijf
     * - base: xsd:string
     * - maxLength: 20
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $provincieCode;
    /**
     * The onvolledig
     * Meta information extracted from the WSDL
     * - documentation: De gegevens van de relatie zijn onvolledig en moeten aangevuld worden
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $onvolledig;
    /**
     * The vrijeVelden
     * Meta information extracted from the WSDL
     * - documentation: De vrije velden van de relatie
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV6\StructType\VrijeVeldenRec
     */
    public $vrijeVelden;
    /**
     * The taalCode
     * Meta information extracted from the WSDL
     * - documentation: De taalcode van het bedrijf
     * - base: xsd:string
     * - maxLength: 12
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $taalCode;
    /**
     * The valutaCode
     * Meta information extracted from the WSDL
     * - documentation: Valuta waarin de relatie betaalt. Indien leeg, wordt de valuta bepaald adhv de inrichting in Zeno obv landen
     * - base: xsd:string
     * - maxLength: 3
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $valutaCode;
    /**
     * The externNummer
     * Meta information extracted from the WSDL
     * - documentation: Het externe nummer van de relatie.
     * - base: xsd:string
     * - maxLength: 20
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $externNummer;
    /**
     * Constructor method for BedrijfRec
     * @uses BedrijfRec::setNaam()
     * @uses BedrijfRec::setRelatienummer()
     * @uses BedrijfRec::setAfdeling()
     * @uses BedrijfRec::setEmail()
     * @uses BedrijfRec::setEmail2()
     * @uses BedrijfRec::setEmail3()
     * @uses BedrijfRec::setEmail4()
     * @uses BedrijfRec::setTelefoonnummer()
     * @uses BedrijfRec::setFaxnummer()
     * @uses BedrijfRec::setWebsite()
     * @uses BedrijfRec::setKvknummer()
     * @uses BedrijfRec::setBtwnummer()
     * @uses BedrijfRec::setBtwIndicatie()
     * @uses BedrijfRec::setRelatieGroep()
     * @uses BedrijfRec::setBetaling()
     * @uses BedrijfRec::setKredietlimiet()
     * @uses BedrijfRec::setBestedingsruimte()
     * @uses BedrijfRec::setKortinggroepCode()
     * @uses BedrijfRec::setAdresBezoek()
     * @uses BedrijfRec::setAdresCorrespondentie()
     * @uses BedrijfRec::setAdresPrive()
     * @uses BedrijfRec::setLandCode()
     * @uses BedrijfRec::setProvincieCode()
     * @uses BedrijfRec::setOnvolledig()
     * @uses BedrijfRec::setVrijeVelden()
     * @uses BedrijfRec::setTaalCode()
     * @uses BedrijfRec::setValutaCode()
     * @uses BedrijfRec::setExternNummer()
     * @param string $naam
     * @param int $relatienummer
     * @param string $afdeling
     * @param string $email
     * @param string $email2
     * @param string $email3
     * @param string $email4
     * @param string $telefoonnummer
     * @param string $faxnummer
     * @param string $website
     * @param string $kvknummer
     * @param string $btwnummer
     * @param int $btwIndicatie
     * @param \RelatieApiV6\StructType\RelatiegroepRec $relatieGroep
     * @param \RelatieApiV6\StructType\BetaalRec $betaling
     * @param float $kredietlimiet
     * @param float $bestedingsruimte
     * @param string $kortinggroepCode
     * @param \RelatieApiV6\StructType\AdresRec $adresBezoek
     * @param \RelatieApiV6\StructType\AdresRec $adresCorrespondentie
     * @param \RelatieApiV6\StructType\AdresRec $adresPrive
     * @param string $landCode
     * @param string $provincieCode
     * @param bool $onvolledig
     * @param \RelatieApiV6\StructType\VrijeVeldenRec $vrijeVelden
     * @param string $taalCode
     * @param string $valutaCode
     * @param string $externNummer
     */
    public function __construct($naam = null, $relatienummer = null, $afdeling = null, $email = null, $email2 = null, $email3 = null, $email4 = null, $telefoonnummer = null, $faxnummer = null, $website = null, $kvknummer = null, $btwnummer = null, $btwIndicatie = null, \RelatieApiV6\StructType\RelatiegroepRec $relatieGroep = null, \RelatieApiV6\StructType\BetaalRec $betaling = null, $kredietlimiet = null, $bestedingsruimte = null, $kortinggroepCode = null, \RelatieApiV6\StructType\AdresRec $adresBezoek = null, \RelatieApiV6\StructType\AdresRec $adresCorrespondentie = null, \RelatieApiV6\StructType\AdresRec $adresPrive = null, $landCode = null, $provincieCode = null, $onvolledig = null, \RelatieApiV6\StructType\VrijeVeldenRec $vrijeVelden = null, $taalCode = null, $valutaCode = null, $externNummer = null)
    {
        $this
            ->setNaam($naam)
            ->setRelatienummer($relatienummer)
            ->setAfdeling($afdeling)
            ->setEmail($email)
            ->setEmail2($email2)
            ->setEmail3($email3)
            ->setEmail4($email4)
            ->setTelefoonnummer($telefoonnummer)
            ->setFaxnummer($faxnummer)
            ->setWebsite($website)
            ->setKvknummer($kvknummer)
            ->setBtwnummer($btwnummer)
            ->setBtwIndicatie($btwIndicatie)
            ->setRelatieGroep($relatieGroep)
            ->setBetaling($betaling)
            ->setKredietlimiet($kredietlimiet)
            ->setBestedingsruimte($bestedingsruimte)
            ->setKortinggroepCode($kortinggroepCode)
            ->setAdresBezoek($adresBezoek)
            ->setAdresCorrespondentie($adresCorrespondentie)
            ->setAdresPrive($adresPrive)
            ->setLandCode($landCode)
            ->setProvincieCode($provincieCode)
            ->setOnvolledig($onvolledig)
            ->setVrijeVelden($vrijeVelden)
            ->setTaalCode($taalCode)
            ->setValutaCode($valutaCode)
            ->setExternNummer($externNummer);
    }
    /**
     * Get naam value
     * @return string
     */
    public function getNaam()
    {
        return $this->naam;
    }
    /**
     * Set naam value
     * @param string $naam
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setNaam($naam = null)
    {
        // validation for constraint: string
        if (!is_null($naam) && !is_string($naam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($naam, true), gettype($naam)), __LINE__);
        }
        // validation for constraint: maxLength(120)
        if (!is_null($naam) && mb_strlen($naam) > 120) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 120', mb_strlen($naam)), __LINE__);
        }
        // validation for constraint: minLength(1)
        if (!is_null($naam) && mb_strlen($naam) < 1) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be greater than or equal to 1', mb_strlen($naam)), __LINE__);
        }
        $this->naam = $naam;
        return $this;
    }
    /**
     * Get relatienummer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getRelatienummer()
    {
        return isset($this->relatienummer) ? $this->relatienummer : null;
    }
    /**
     * Set relatienummer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $relatienummer
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setRelatienummer($relatienummer = null)
    {
        // validation for constraint: int
        if (!is_null($relatienummer) && !(is_int($relatienummer) || ctype_digit($relatienummer))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($relatienummer, true), gettype($relatienummer)), __LINE__);
        }
        // validation for constraint: totalDigits(15)
        if (!is_null($relatienummer) && mb_strlen(preg_replace('/(\D)/', '', $relatienummer)) > 15) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, the value must use at most 15 digits, "%d" given', var_export($relatienummer, true), mb_strlen(preg_replace('/(\D)/', '', $relatienummer))), __LINE__);
        }
        if (is_null($relatienummer) || (is_array($relatienummer) && empty($relatienummer))) {
            unset($this->relatienummer);
        } else {
            $this->relatienummer = $relatienummer;
        }
        return $this;
    }
    /**
     * Get afdeling value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAfdeling()
    {
        return isset($this->afdeling) ? $this->afdeling : null;
    }
    /**
     * Set afdeling value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $afdeling
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setAfdeling($afdeling = null)
    {
        // validation for constraint: string
        if (!is_null($afdeling) && !is_string($afdeling)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($afdeling, true), gettype($afdeling)), __LINE__);
        }
        // validation for constraint: maxLength(120)
        if (!is_null($afdeling) && mb_strlen($afdeling) > 120) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 120', mb_strlen($afdeling)), __LINE__);
        }
        if (is_null($afdeling) || (is_array($afdeling) && empty($afdeling))) {
            unset($this->afdeling);
        } else {
            $this->afdeling = $afdeling;
        }
        return $this;
    }
    /**
     * Get email value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmail()
    {
        return isset($this->email) ? $this->email : null;
    }
    /**
     * Set email value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $email
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        // validation for constraint: maxLength(80)
        if (!is_null($email) && mb_strlen($email) > 80) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 80', mb_strlen($email)), __LINE__);
        }
        if (is_null($email) || (is_array($email) && empty($email))) {
            unset($this->email);
        } else {
            $this->email = $email;
        }
        return $this;
    }
    /**
     * Get email2 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmail2()
    {
        return isset($this->email2) ? $this->email2 : null;
    }
    /**
     * Set email2 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $email2
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setEmail2($email2 = null)
    {
        // validation for constraint: string
        if (!is_null($email2) && !is_string($email2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email2, true), gettype($email2)), __LINE__);
        }
        // validation for constraint: maxLength(80)
        if (!is_null($email2) && mb_strlen($email2) > 80) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 80', mb_strlen($email2)), __LINE__);
        }
        if (is_null($email2) || (is_array($email2) && empty($email2))) {
            unset($this->email2);
        } else {
            $this->email2 = $email2;
        }
        return $this;
    }
    /**
     * Get email3 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmail3()
    {
        return isset($this->email3) ? $this->email3 : null;
    }
    /**
     * Set email3 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $email3
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setEmail3($email3 = null)
    {
        // validation for constraint: string
        if (!is_null($email3) && !is_string($email3)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email3, true), gettype($email3)), __LINE__);
        }
        // validation for constraint: maxLength(80)
        if (!is_null($email3) && mb_strlen($email3) > 80) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 80', mb_strlen($email3)), __LINE__);
        }
        if (is_null($email3) || (is_array($email3) && empty($email3))) {
            unset($this->email3);
        } else {
            $this->email3 = $email3;
        }
        return $this;
    }
    /**
     * Get email4 value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmail4()
    {
        return isset($this->email4) ? $this->email4 : null;
    }
    /**
     * Set email4 value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $email4
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setEmail4($email4 = null)
    {
        // validation for constraint: string
        if (!is_null($email4) && !is_string($email4)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email4, true), gettype($email4)), __LINE__);
        }
        // validation for constraint: maxLength(80)
        if (!is_null($email4) && mb_strlen($email4) > 80) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 80', mb_strlen($email4)), __LINE__);
        }
        if (is_null($email4) || (is_array($email4) && empty($email4))) {
            unset($this->email4);
        } else {
            $this->email4 = $email4;
        }
        return $this;
    }
    /**
     * Get telefoonnummer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTelefoonnummer()
    {
        return isset($this->telefoonnummer) ? $this->telefoonnummer : null;
    }
    /**
     * Set telefoonnummer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $telefoonnummer
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setTelefoonnummer($telefoonnummer = null)
    {
        // validation for constraint: string
        if (!is_null($telefoonnummer) && !is_string($telefoonnummer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($telefoonnummer, true), gettype($telefoonnummer)), __LINE__);
        }
        // validation for constraint: maxLength(80)
        if (!is_null($telefoonnummer) && mb_strlen($telefoonnummer) > 80) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 80', mb_strlen($telefoonnummer)), __LINE__);
        }
        if (is_null($telefoonnummer) || (is_array($telefoonnummer) && empty($telefoonnummer))) {
            unset($this->telefoonnummer);
        } else {
            $this->telefoonnummer = $telefoonnummer;
        }
        return $this;
    }
    /**
     * Get faxnummer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFaxnummer()
    {
        return isset($this->faxnummer) ? $this->faxnummer : null;
    }
    /**
     * Set faxnummer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $faxnummer
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setFaxnummer($faxnummer = null)
    {
        // validation for constraint: string
        if (!is_null($faxnummer) && !is_string($faxnummer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($faxnummer, true), gettype($faxnummer)), __LINE__);
        }
        // validation for constraint: maxLength(80)
        if (!is_null($faxnummer) && mb_strlen($faxnummer) > 80) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 80', mb_strlen($faxnummer)), __LINE__);
        }
        if (is_null($faxnummer) || (is_array($faxnummer) && empty($faxnummer))) {
            unset($this->faxnummer);
        } else {
            $this->faxnummer = $faxnummer;
        }
        return $this;
    }
    /**
     * Get website value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getWebsite()
    {
        return isset($this->website) ? $this->website : null;
    }
    /**
     * Set website value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $website
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setWebsite($website = null)
    {
        // validation for constraint: string
        if (!is_null($website) && !is_string($website)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($website, true), gettype($website)), __LINE__);
        }
        // validation for constraint: maxLength(80)
        if (!is_null($website) && mb_strlen($website) > 80) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 80', mb_strlen($website)), __LINE__);
        }
        if (is_null($website) || (is_array($website) && empty($website))) {
            unset($this->website);
        } else {
            $this->website = $website;
        }
        return $this;
    }
    /**
     * Get kvknummer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getKvknummer()
    {
        return isset($this->kvknummer) ? $this->kvknummer : null;
    }
    /**
     * Set kvknummer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $kvknummer
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setKvknummer($kvknummer = null)
    {
        // validation for constraint: string
        if (!is_null($kvknummer) && !is_string($kvknummer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kvknummer, true), gettype($kvknummer)), __LINE__);
        }
        // validation for constraint: maxLength(20)
        if (!is_null($kvknummer) && mb_strlen($kvknummer) > 20) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 20', mb_strlen($kvknummer)), __LINE__);
        }
        if (is_null($kvknummer) || (is_array($kvknummer) && empty($kvknummer))) {
            unset($this->kvknummer);
        } else {
            $this->kvknummer = $kvknummer;
        }
        return $this;
    }
    /**
     * Get btwnummer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBtwnummer()
    {
        return isset($this->btwnummer) ? $this->btwnummer : null;
    }
    /**
     * Set btwnummer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $btwnummer
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setBtwnummer($btwnummer = null)
    {
        // validation for constraint: string
        if (!is_null($btwnummer) && !is_string($btwnummer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($btwnummer, true), gettype($btwnummer)), __LINE__);
        }
        // validation for constraint: maxLength(20)
        if (!is_null($btwnummer) && mb_strlen($btwnummer) > 20) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 20', mb_strlen($btwnummer)), __LINE__);
        }
        if (is_null($btwnummer) || (is_array($btwnummer) && empty($btwnummer))) {
            unset($this->btwnummer);
        } else {
            $this->btwnummer = $btwnummer;
        }
        return $this;
    }
    /**
     * Get btwIndicatie value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getBtwIndicatie()
    {
        return isset($this->btwIndicatie) ? $this->btwIndicatie : null;
    }
    /**
     * Set btwIndicatie value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $btwIndicatie
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setBtwIndicatie($btwIndicatie = null)
    {
        // validation for constraint: int
        if (!is_null($btwIndicatie) && !(is_int($btwIndicatie) || ctype_digit($btwIndicatie))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($btwIndicatie, true), gettype($btwIndicatie)), __LINE__);
        }
        // validation for constraint: totalDigits(1)
        if (!is_null($btwIndicatie) && mb_strlen(preg_replace('/(\D)/', '', $btwIndicatie)) > 1) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, the value must use at most 1 digits, "%d" given', var_export($btwIndicatie, true), mb_strlen(preg_replace('/(\D)/', '', $btwIndicatie))), __LINE__);
        }
        if (is_null($btwIndicatie) || (is_array($btwIndicatie) && empty($btwIndicatie))) {
            unset($this->btwIndicatie);
        } else {
            $this->btwIndicatie = $btwIndicatie;
        }
        return $this;
    }
    /**
     * Get relatieGroep value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV6\StructType\RelatiegroepRec|null
     */
    public function getRelatieGroep()
    {
        return isset($this->relatieGroep) ? $this->relatieGroep : null;
    }
    /**
     * Set relatieGroep value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV6\StructType\RelatiegroepRec $relatieGroep
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setRelatieGroep(\RelatieApiV6\StructType\RelatiegroepRec $relatieGroep = null)
    {
        if (is_null($relatieGroep) || (is_array($relatieGroep) && empty($relatieGroep))) {
            unset($this->relatieGroep);
        } else {
            $this->relatieGroep = $relatieGroep;
        }
        return $this;
    }
    /**
     * Get betaling value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV6\StructType\BetaalRec|null
     */
    public function getBetaling()
    {
        return isset($this->betaling) ? $this->betaling : null;
    }
    /**
     * Set betaling value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV6\StructType\BetaalRec $betaling
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setBetaling(\RelatieApiV6\StructType\BetaalRec $betaling = null)
    {
        if (is_null($betaling) || (is_array($betaling) && empty($betaling))) {
            unset($this->betaling);
        } else {
            $this->betaling = $betaling;
        }
        return $this;
    }
    /**
     * Get kredietlimiet value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return float|null
     */
    public function getKredietlimiet()
    {
        return isset($this->kredietlimiet) ? $this->kredietlimiet : null;
    }
    /**
     * Set kredietlimiet value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param float $kredietlimiet
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setKredietlimiet($kredietlimiet = null)
    {
        // validation for constraint: float
        if (!is_null($kredietlimiet) && !(is_float($kredietlimiet) || is_numeric($kredietlimiet))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($kredietlimiet, true), gettype($kredietlimiet)), __LINE__);
        }
        // validation for constraint: fractionDigits(2)
        if (!is_null($kredietlimiet) && mb_strlen(mb_substr($kredietlimiet, false !== mb_strpos($kredietlimiet, '.') ? mb_strpos($kredietlimiet, '.') + 1 : mb_strlen($kredietlimiet))) > 2) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, the value must at most contain 2 fraction digits, %d given', var_export($kredietlimiet, true), mb_strlen(mb_substr($kredietlimiet, mb_strpos($kredietlimiet, '.') + 1))), __LINE__);
        }
        // validation for constraint: totalDigits(17)
        if (!is_null($kredietlimiet) && mb_strlen(preg_replace('/(\D)/', '', $kredietlimiet)) > 17) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, the value must use at most 17 digits, "%d" given', var_export($kredietlimiet, true), mb_strlen(preg_replace('/(\D)/', '', $kredietlimiet))), __LINE__);
        }
        if (is_null($kredietlimiet) || (is_array($kredietlimiet) && empty($kredietlimiet))) {
            unset($this->kredietlimiet);
        } else {
            $this->kredietlimiet = $kredietlimiet;
        }
        return $this;
    }
    /**
     * Get bestedingsruimte value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return float|null
     */
    public function getBestedingsruimte()
    {
        return isset($this->bestedingsruimte) ? $this->bestedingsruimte : null;
    }
    /**
     * Set bestedingsruimte value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param float $bestedingsruimte
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setBestedingsruimte($bestedingsruimte = null)
    {
        // validation for constraint: float
        if (!is_null($bestedingsruimte) && !(is_float($bestedingsruimte) || is_numeric($bestedingsruimte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($bestedingsruimte, true), gettype($bestedingsruimte)), __LINE__);
        }
        // validation for constraint: fractionDigits(2)
        if (!is_null($bestedingsruimte) && mb_strlen(mb_substr($bestedingsruimte, false !== mb_strpos($bestedingsruimte, '.') ? mb_strpos($bestedingsruimte, '.') + 1 : mb_strlen($bestedingsruimte))) > 2) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, the value must at most contain 2 fraction digits, %d given', var_export($bestedingsruimte, true), mb_strlen(mb_substr($bestedingsruimte, mb_strpos($bestedingsruimte, '.') + 1))), __LINE__);
        }
        // validation for constraint: totalDigits(17)
        if (!is_null($bestedingsruimte) && mb_strlen(preg_replace('/(\D)/', '', $bestedingsruimte)) > 17) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, the value must use at most 17 digits, "%d" given', var_export($bestedingsruimte, true), mb_strlen(preg_replace('/(\D)/', '', $bestedingsruimte))), __LINE__);
        }
        if (is_null($bestedingsruimte) || (is_array($bestedingsruimte) && empty($bestedingsruimte))) {
            unset($this->bestedingsruimte);
        } else {
            $this->bestedingsruimte = $bestedingsruimte;
        }
        return $this;
    }
    /**
     * Get kortinggroepCode value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getKortinggroepCode()
    {
        return isset($this->kortinggroepCode) ? $this->kortinggroepCode : null;
    }
    /**
     * Set kortinggroepCode value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $kortinggroepCode
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setKortinggroepCode($kortinggroepCode = null)
    {
        // validation for constraint: string
        if (!is_null($kortinggroepCode) && !is_string($kortinggroepCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kortinggroepCode, true), gettype($kortinggroepCode)), __LINE__);
        }
        // validation for constraint: maxLength(12)
        if (!is_null($kortinggroepCode) && mb_strlen($kortinggroepCode) > 12) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 12', mb_strlen($kortinggroepCode)), __LINE__);
        }
        if (is_null($kortinggroepCode) || (is_array($kortinggroepCode) && empty($kortinggroepCode))) {
            unset($this->kortinggroepCode);
        } else {
            $this->kortinggroepCode = $kortinggroepCode;
        }
        return $this;
    }
    /**
     * Get adresBezoek value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV6\StructType\AdresRec|null
     */
    public function getAdresBezoek()
    {
        return isset($this->adresBezoek) ? $this->adresBezoek : null;
    }
    /**
     * Set adresBezoek value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV6\StructType\AdresRec $adresBezoek
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setAdresBezoek(\RelatieApiV6\StructType\AdresRec $adresBezoek = null)
    {
        if (is_null($adresBezoek) || (is_array($adresBezoek) && empty($adresBezoek))) {
            unset($this->adresBezoek);
        } else {
            $this->adresBezoek = $adresBezoek;
        }
        return $this;
    }
    /**
     * Get adresCorrespondentie value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV6\StructType\AdresRec|null
     */
    public function getAdresCorrespondentie()
    {
        return isset($this->adresCorrespondentie) ? $this->adresCorrespondentie : null;
    }
    /**
     * Set adresCorrespondentie value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV6\StructType\AdresRec $adresCorrespondentie
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setAdresCorrespondentie(\RelatieApiV6\StructType\AdresRec $adresCorrespondentie = null)
    {
        if (is_null($adresCorrespondentie) || (is_array($adresCorrespondentie) && empty($adresCorrespondentie))) {
            unset($this->adresCorrespondentie);
        } else {
            $this->adresCorrespondentie = $adresCorrespondentie;
        }
        return $this;
    }
    /**
     * Get adresPrive value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV6\StructType\AdresRec|null
     */
    public function getAdresPrive()
    {
        return isset($this->adresPrive) ? $this->adresPrive : null;
    }
    /**
     * Set adresPrive value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV6\StructType\AdresRec $adresPrive
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setAdresPrive(\RelatieApiV6\StructType\AdresRec $adresPrive = null)
    {
        if (is_null($adresPrive) || (is_array($adresPrive) && empty($adresPrive))) {
            unset($this->adresPrive);
        } else {
            $this->adresPrive = $adresPrive;
        }
        return $this;
    }
    /**
     * Get landCode value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLandCode()
    {
        return isset($this->landCode) ? $this->landCode : null;
    }
    /**
     * Set landCode value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $landCode
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setLandCode($landCode = null)
    {
        // validation for constraint: string
        if (!is_null($landCode) && !is_string($landCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($landCode, true), gettype($landCode)), __LINE__);
        }
        // validation for constraint: maxLength(3)
        if (!is_null($landCode) && mb_strlen($landCode) > 3) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 3', mb_strlen($landCode)), __LINE__);
        }
        if (is_null($landCode) || (is_array($landCode) && empty($landCode))) {
            unset($this->landCode);
        } else {
            $this->landCode = $landCode;
        }
        return $this;
    }
    /**
     * Get provincieCode value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getProvincieCode()
    {
        return isset($this->provincieCode) ? $this->provincieCode : null;
    }
    /**
     * Set provincieCode value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $provincieCode
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setProvincieCode($provincieCode = null)
    {
        // validation for constraint: string
        if (!is_null($provincieCode) && !is_string($provincieCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($provincieCode, true), gettype($provincieCode)), __LINE__);
        }
        // validation for constraint: maxLength(20)
        if (!is_null($provincieCode) && mb_strlen($provincieCode) > 20) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 20', mb_strlen($provincieCode)), __LINE__);
        }
        if (is_null($provincieCode) || (is_array($provincieCode) && empty($provincieCode))) {
            unset($this->provincieCode);
        } else {
            $this->provincieCode = $provincieCode;
        }
        return $this;
    }
    /**
     * Get onvolledig value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getOnvolledig()
    {
        return isset($this->onvolledig) ? $this->onvolledig : null;
    }
    /**
     * Set onvolledig value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $onvolledig
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setOnvolledig($onvolledig = null)
    {
        // validation for constraint: boolean
        if (!is_null($onvolledig) && !is_bool($onvolledig)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($onvolledig, true), gettype($onvolledig)), __LINE__);
        }
        if (is_null($onvolledig) || (is_array($onvolledig) && empty($onvolledig))) {
            unset($this->onvolledig);
        } else {
            $this->onvolledig = $onvolledig;
        }
        return $this;
    }
    /**
     * Get vrijeVelden value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV6\StructType\VrijeVeldenRec|null
     */
    public function getVrijeVelden()
    {
        return isset($this->vrijeVelden) ? $this->vrijeVelden : null;
    }
    /**
     * Set vrijeVelden value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV6\StructType\VrijeVeldenRec $vrijeVelden
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setVrijeVelden(\RelatieApiV6\StructType\VrijeVeldenRec $vrijeVelden = null)
    {
        if (is_null($vrijeVelden) || (is_array($vrijeVelden) && empty($vrijeVelden))) {
            unset($this->vrijeVelden);
        } else {
            $this->vrijeVelden = $vrijeVelden;
        }
        return $this;
    }
    /**
     * Get taalCode value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTaalCode()
    {
        return isset($this->taalCode) ? $this->taalCode : null;
    }
    /**
     * Set taalCode value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $taalCode
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setTaalCode($taalCode = null)
    {
        // validation for constraint: string
        if (!is_null($taalCode) && !is_string($taalCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($taalCode, true), gettype($taalCode)), __LINE__);
        }
        // validation for constraint: maxLength(12)
        if (!is_null($taalCode) && mb_strlen($taalCode) > 12) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 12', mb_strlen($taalCode)), __LINE__);
        }
        if (is_null($taalCode) || (is_array($taalCode) && empty($taalCode))) {
            unset($this->taalCode);
        } else {
            $this->taalCode = $taalCode;
        }
        return $this;
    }
    /**
     * Get valutaCode value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getValutaCode()
    {
        return isset($this->valutaCode) ? $this->valutaCode : null;
    }
    /**
     * Set valutaCode value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $valutaCode
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setValutaCode($valutaCode = null)
    {
        // validation for constraint: string
        if (!is_null($valutaCode) && !is_string($valutaCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($valutaCode, true), gettype($valutaCode)), __LINE__);
        }
        // validation for constraint: maxLength(3)
        if (!is_null($valutaCode) && mb_strlen($valutaCode) > 3) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 3', mb_strlen($valutaCode)), __LINE__);
        }
        if (is_null($valutaCode) || (is_array($valutaCode) && empty($valutaCode))) {
            unset($this->valutaCode);
        } else {
            $this->valutaCode = $valutaCode;
        }
        return $this;
    }
    /**
     * Get externNummer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getExternNummer()
    {
        return isset($this->externNummer) ? $this->externNummer : null;
    }
    /**
     * Set externNummer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $externNummer
     * @return \RelatieApiV6\StructType\BedrijfRec
     */
    public function setExternNummer($externNummer = null)
    {
        // validation for constraint: string
        if (!is_null($externNummer) && !is_string($externNummer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($externNummer, true), gettype($externNummer)), __LINE__);
        }
        // validation for constraint: maxLength(20)
        if (!is_null($externNummer) && mb_strlen($externNummer) > 20) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 20', mb_strlen($externNummer)), __LINE__);
        }
        if (is_null($externNummer) || (is_array($externNummer) && empty($externNummer))) {
            unset($this->externNummer);
        } else {
            $this->externNummer = $externNummer;
        }
        return $this;
    }
}
