<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Bedrijftable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met bedrijven
 * @subpackage Structs
 * @date 20240419 package
 */
class Bedrijftable extends AbstractStructBase
{
    /**
     * The bedrijf
     * Meta information extracted from the WSDL
     * - documentation: bedrijven
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\BedrijfinfoRec[]
     */
    public $bedrijf;
    /**
     * Constructor method for Bedrijftable
     * @uses Bedrijftable::setBedrijf()
     * @param \RelatieApiV6\StructType\BedrijfinfoRec[] $bedrijf
     */
    public function __construct(array $bedrijf = array())
    {
        $this
            ->setBedrijf($bedrijf);
    }
    /**
     * Get bedrijf value
     * @return \RelatieApiV6\StructType\BedrijfinfoRec[]|null
     */
    public function getBedrijf()
    {
        return $this->bedrijf;
    }
    /**
     * This method is responsible for validating the values passed to the setBedrijf method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBedrijf method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBedrijfForArrayConstraintsFromSetBedrijf(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $bedrijftableBedrijfItem) {
            // validation for constraint: itemType
            if (!$bedrijftableBedrijfItem instanceof \RelatieApiV6\StructType\BedrijfinfoRec) {
                $invalidValues[] = is_object($bedrijftableBedrijfItem) ? get_class($bedrijftableBedrijfItem) : sprintf('%s(%s)', gettype($bedrijftableBedrijfItem), var_export($bedrijftableBedrijfItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The bedrijf property can only contain items of type \RelatieApiV6\StructType\BedrijfinfoRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set bedrijf value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\BedrijfinfoRec[] $bedrijf
     * @return \RelatieApiV6\StructType\Bedrijftable
     */
    public function setBedrijf(array $bedrijf = array())
    {
        // validation for constraint: array
        if ('' !== ($bedrijfArrayErrorMessage = self::validateBedrijfForArrayConstraintsFromSetBedrijf($bedrijf))) {
            throw new \InvalidArgumentException($bedrijfArrayErrorMessage, __LINE__);
        }
        $this->bedrijf = $bedrijf;
        return $this;
    }
    /**
     * Add item to bedrijf value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\BedrijfinfoRec $item
     * @return \RelatieApiV6\StructType\Bedrijftable
     */
    public function addToBedrijf(\RelatieApiV6\StructType\BedrijfinfoRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\BedrijfinfoRec) {
            throw new \InvalidArgumentException(sprintf('The bedrijf property can only contain items of type \RelatieApiV6\StructType\BedrijfinfoRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->bedrijf[] = $item;
        return $this;
    }
}
