<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Contactpersoontable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met contactpersonen bij een bedrijf
 * @subpackage Structs
 * @date 20240419 package
 */
class Contactpersoontable extends AbstractStructBase
{
    /**
     * The contactpersoon
     * Meta information extracted from the WSDL
     * - documentation: Contactpersonen
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\ContactpersooninfoRec[]
     */
    public $contactpersoon;
    /**
     * Constructor method for Contactpersoontable
     * @uses Contactpersoontable::setContactpersoon()
     * @param \RelatieApiV6\StructType\ContactpersooninfoRec[] $contactpersoon
     */
    public function __construct(array $contactpersoon = array())
    {
        $this
            ->setContactpersoon($contactpersoon);
    }
    /**
     * Get contactpersoon value
     * @return \RelatieApiV6\StructType\ContactpersooninfoRec[]|null
     */
    public function getContactpersoon()
    {
        return $this->contactpersoon;
    }
    /**
     * This method is responsible for validating the values passed to the setContactpersoon method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContactpersoon method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContactpersoonForArrayConstraintsFromSetContactpersoon(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $contactpersoontableContactpersoonItem) {
            // validation for constraint: itemType
            if (!$contactpersoontableContactpersoonItem instanceof \RelatieApiV6\StructType\ContactpersooninfoRec) {
                $invalidValues[] = is_object($contactpersoontableContactpersoonItem) ? get_class($contactpersoontableContactpersoonItem) : sprintf('%s(%s)', gettype($contactpersoontableContactpersoonItem), var_export($contactpersoontableContactpersoonItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The contactpersoon property can only contain items of type \RelatieApiV6\StructType\ContactpersooninfoRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set contactpersoon value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\ContactpersooninfoRec[] $contactpersoon
     * @return \RelatieApiV6\StructType\Contactpersoontable
     */
    public function setContactpersoon(array $contactpersoon = array())
    {
        // validation for constraint: array
        if ('' !== ($contactpersoonArrayErrorMessage = self::validateContactpersoonForArrayConstraintsFromSetContactpersoon($contactpersoon))) {
            throw new \InvalidArgumentException($contactpersoonArrayErrorMessage, __LINE__);
        }
        $this->contactpersoon = $contactpersoon;
        return $this;
    }
    /**
     * Add item to contactpersoon value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\ContactpersooninfoRec $item
     * @return \RelatieApiV6\StructType\Contactpersoontable
     */
    public function addToContactpersoon(\RelatieApiV6\StructType\ContactpersooninfoRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\ContactpersooninfoRec) {
            throw new \InvalidArgumentException(sprintf('The contactpersoon property can only contain items of type \RelatieApiV6\StructType\ContactpersooninfoRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->contactpersoon[] = $item;
        return $this;
    }
}
