<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for createPersoonRequest StructType
 * Meta information extracted from the WSDL
 * - documentation: Aanmaken van een nieuw prive persoon
 * @subpackage Structs
 * @date 20240419 package
 */
class CreatePersoonRequest extends AbstractStructBase
{
    /**
     * The persoon
     * Meta information extracted from the WSDL
     * - documentation: De gegevens van het aan te maken persoon
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var \RelatieApiV6\StructType\PersoonRec
     */
    public $persoon;
    /**
     * The requestTag
     * Meta information extracted from the WSDL
     * - documentation: Vrij veld voor aanroepende partij. De inhoud van dit veld wordt altijd identiek teruggestuurd.
     * - base: xsd:string
     * - maxLength: 4000
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $requestTag;
    /**
     * The forceerKandidaat
     * Meta information extracted from the WSDL
     * - documentation: False (default): Geef een foutmelding indien meerdere kandidaten voldoen aan de input.<br/>True: In geval van meerdere kandidaten wordt de beste match (o.b.v. klantspecifieke instelling) geretourneerd.
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $forceerKandidaat;
    /**
     * Constructor method for createPersoonRequest
     * @uses CreatePersoonRequest::setPersoon()
     * @uses CreatePersoonRequest::setRequestTag()
     * @uses CreatePersoonRequest::setForceerKandidaat()
     * @param \RelatieApiV6\StructType\PersoonRec $persoon
     * @param string $requestTag
     * @param bool $forceerKandidaat
     */
    public function __construct(\RelatieApiV6\StructType\PersoonRec $persoon = null, $requestTag = null, $forceerKandidaat = null)
    {
        $this
            ->setPersoon($persoon)
            ->setRequestTag($requestTag)
            ->setForceerKandidaat($forceerKandidaat);
    }
    /**
     * Get persoon value
     * @return \RelatieApiV6\StructType\PersoonRec
     */
    public function getPersoon()
    {
        return $this->persoon;
    }
    /**
     * Set persoon value
     * @param \RelatieApiV6\StructType\PersoonRec $persoon
     * @return \RelatieApiV6\StructType\CreatePersoonRequest
     */
    public function setPersoon(\RelatieApiV6\StructType\PersoonRec $persoon = null)
    {
        $this->persoon = $persoon;
        return $this;
    }
    /**
     * Get requestTag value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRequestTag()
    {
        return isset($this->requestTag) ? $this->requestTag : null;
    }
    /**
     * Set requestTag value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $requestTag
     * @return \RelatieApiV6\StructType\CreatePersoonRequest
     */
    public function setRequestTag($requestTag = null)
    {
        // validation for constraint: string
        if (!is_null($requestTag) && !is_string($requestTag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($requestTag, true), gettype($requestTag)), __LINE__);
        }
        // validation for constraint: maxLength(4000)
        if (!is_null($requestTag) && mb_strlen($requestTag) > 4000) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 4000', mb_strlen($requestTag)), __LINE__);
        }
        if (is_null($requestTag) || (is_array($requestTag) && empty($requestTag))) {
            unset($this->requestTag);
        } else {
            $this->requestTag = $requestTag;
        }
        return $this;
    }
    /**
     * Get forceerKandidaat value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getForceerKandidaat()
    {
        return isset($this->forceerKandidaat) ? $this->forceerKandidaat : null;
    }
    /**
     * Set forceerKandidaat value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $forceerKandidaat
     * @return \RelatieApiV6\StructType\CreatePersoonRequest
     */
    public function setForceerKandidaat($forceerKandidaat = null)
    {
        // validation for constraint: boolean
        if (!is_null($forceerKandidaat) && !is_bool($forceerKandidaat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($forceerKandidaat, true), gettype($forceerKandidaat)), __LINE__);
        }
        if (is_null($forceerKandidaat) || (is_array($forceerKandidaat) && empty($forceerKandidaat))) {
            unset($this->forceerKandidaat);
        } else {
            $this->forceerKandidaat = $forceerKandidaat;
        }
        return $this;
    }
}
