<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for deleteBicRequest StructType
 * Meta information extracted from the WSDL
 * - documentation: Verwijderen van een gekoppelde Bic code bij een relatie
 * @subpackage Structs
 * @date 20240419 package
 */
class DeleteBicRequest extends AbstractStructBase
{
    /**
     * The relatieBicSleutel
     * Meta information extracted from the WSDL
     * - documentation: Het unieke nummer van de koppeling van de Bic code aan het relatienummer.
     * - base: xsd:integer
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * - totalDigits: 15
     * @var int
     */
    public $relatieBicSleutel;
    /**
     * The requestTag
     * Meta information extracted from the WSDL
     * - documentation: Vrij veld voor aanroepende partij. De inhoud van dit veld wordt altijd identiek teruggestuurd.
     * - base: xsd:string
     * - maxLength: 4000
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $requestTag;
    /**
     * Constructor method for deleteBicRequest
     * @uses DeleteBicRequest::setRelatieBicSleutel()
     * @uses DeleteBicRequest::setRequestTag()
     * @param int $relatieBicSleutel
     * @param string $requestTag
     */
    public function __construct($relatieBicSleutel = null, $requestTag = null)
    {
        $this
            ->setRelatieBicSleutel($relatieBicSleutel)
            ->setRequestTag($requestTag);
    }
    /**
     * Get relatieBicSleutel value
     * @return int
     */
    public function getRelatieBicSleutel()
    {
        return $this->relatieBicSleutel;
    }
    /**
     * Set relatieBicSleutel value
     * @param int $relatieBicSleutel
     * @return \RelatieApiV6\StructType\DeleteBicRequest
     */
    public function setRelatieBicSleutel($relatieBicSleutel = null)
    {
        // validation for constraint: int
        if (!is_null($relatieBicSleutel) && !(is_int($relatieBicSleutel) || ctype_digit($relatieBicSleutel))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($relatieBicSleutel, true), gettype($relatieBicSleutel)), __LINE__);
        }
        // validation for constraint: totalDigits(15)
        if (!is_null($relatieBicSleutel) && mb_strlen(preg_replace('/(\D)/', '', $relatieBicSleutel)) > 15) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, the value must use at most 15 digits, "%d" given', var_export($relatieBicSleutel, true), mb_strlen(preg_replace('/(\D)/', '', $relatieBicSleutel))), __LINE__);
        }
        $this->relatieBicSleutel = $relatieBicSleutel;
        return $this;
    }
    /**
     * Get requestTag value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRequestTag()
    {
        return isset($this->requestTag) ? $this->requestTag : null;
    }
    /**
     * Set requestTag value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $requestTag
     * @return \RelatieApiV6\StructType\DeleteBicRequest
     */
    public function setRequestTag($requestTag = null)
    {
        // validation for constraint: string
        if (!is_null($requestTag) && !is_string($requestTag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($requestTag, true), gettype($requestTag)), __LINE__);
        }
        // validation for constraint: maxLength(4000)
        if (!is_null($requestTag) && mb_strlen($requestTag) > 4000) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 4000', mb_strlen($requestTag)), __LINE__);
        }
        if (is_null($requestTag) || (is_array($requestTag) && empty($requestTag))) {
            unset($this->requestTag);
        } else {
            $this->requestTag = $requestTag;
        }
        return $this;
    }
}
