<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getLandcodesResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: error45: Er zijn geen Landcodes gevonden
 * @subpackage Structs
 * @date 20240419 package
 */
class GetLandcodesResponse extends AbstractStructBase
{
    /**
     * The requestTag
     * Meta information extracted from the WSDL
     * - documentation: Vrij veld voor aanroepende partij. De inhoud van dit veld wordt altijd identiek teruggestuurd.
     * - base: xsd:string
     * - maxLength: 4000
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $requestTag;
    /**
     * The landCodes
     * Meta information extracted from the WSDL
     * - documentation: De beschikbare land codes
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \RelatieApiV6\StructType\Landcodetable
     */
    public $landCodes;
    /**
     * Constructor method for getLandcodesResponse
     * @uses GetLandcodesResponse::setRequestTag()
     * @uses GetLandcodesResponse::setLandCodes()
     * @param string $requestTag
     * @param \RelatieApiV6\StructType\Landcodetable $landCodes
     */
    public function __construct($requestTag = null, \RelatieApiV6\StructType\Landcodetable $landCodes = null)
    {
        $this
            ->setRequestTag($requestTag)
            ->setLandCodes($landCodes);
    }
    /**
     * Get requestTag value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRequestTag()
    {
        return isset($this->requestTag) ? $this->requestTag : null;
    }
    /**
     * Set requestTag value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $requestTag
     * @return \RelatieApiV6\StructType\GetLandcodesResponse
     */
    public function setRequestTag($requestTag = null)
    {
        // validation for constraint: string
        if (!is_null($requestTag) && !is_string($requestTag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($requestTag, true), gettype($requestTag)), __LINE__);
        }
        // validation for constraint: maxLength(4000)
        if (!is_null($requestTag) && mb_strlen($requestTag) > 4000) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 4000', mb_strlen($requestTag)), __LINE__);
        }
        if (is_null($requestTag) || (is_array($requestTag) && empty($requestTag))) {
            unset($this->requestTag);
        } else {
            $this->requestTag = $requestTag;
        }
        return $this;
    }
    /**
     * Get landCodes value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \RelatieApiV6\StructType\Landcodetable|null
     */
    public function getLandCodes()
    {
        return isset($this->landCodes) ? $this->landCodes : null;
    }
    /**
     * Set landCodes value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \RelatieApiV6\StructType\Landcodetable $landCodes
     * @return \RelatieApiV6\StructType\GetLandcodesResponse
     */
    public function setLandCodes(\RelatieApiV6\StructType\Landcodetable $landCodes = null)
    {
        if (is_null($landCodes) || (is_array($landCodes) && empty($landCodes))) {
            unset($this->landCodes);
        } else {
            $this->landCodes = $landCodes;
        }
        return $this;
    }
}
