<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Kenmerkgroeptable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met alle kenmerkgroepen
 * @subpackage Structs
 * @date 20240419 package
 */
class Kenmerkgroeptable extends AbstractStructBase
{
    /**
     * The kenmerkgroep
     * Meta information extracted from the WSDL
     * - documentation: Kenmerkgroepen
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\KenmerkgroepRec[]
     */
    public $kenmerkgroep;
    /**
     * Constructor method for Kenmerkgroeptable
     * @uses Kenmerkgroeptable::setKenmerkgroep()
     * @param \RelatieApiV6\StructType\KenmerkgroepRec[] $kenmerkgroep
     */
    public function __construct(array $kenmerkgroep = array())
    {
        $this
            ->setKenmerkgroep($kenmerkgroep);
    }
    /**
     * Get kenmerkgroep value
     * @return \RelatieApiV6\StructType\KenmerkgroepRec[]|null
     */
    public function getKenmerkgroep()
    {
        return $this->kenmerkgroep;
    }
    /**
     * This method is responsible for validating the values passed to the setKenmerkgroep method
     * This method is willingly generated in order to preserve the one-line inline validation within the setKenmerkgroep method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateKenmerkgroepForArrayConstraintsFromSetKenmerkgroep(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $kenmerkgroeptableKenmerkgroepItem) {
            // validation for constraint: itemType
            if (!$kenmerkgroeptableKenmerkgroepItem instanceof \RelatieApiV6\StructType\KenmerkgroepRec) {
                $invalidValues[] = is_object($kenmerkgroeptableKenmerkgroepItem) ? get_class($kenmerkgroeptableKenmerkgroepItem) : sprintf('%s(%s)', gettype($kenmerkgroeptableKenmerkgroepItem), var_export($kenmerkgroeptableKenmerkgroepItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The kenmerkgroep property can only contain items of type \RelatieApiV6\StructType\KenmerkgroepRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set kenmerkgroep value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\KenmerkgroepRec[] $kenmerkgroep
     * @return \RelatieApiV6\StructType\Kenmerkgroeptable
     */
    public function setKenmerkgroep(array $kenmerkgroep = array())
    {
        // validation for constraint: array
        if ('' !== ($kenmerkgroepArrayErrorMessage = self::validateKenmerkgroepForArrayConstraintsFromSetKenmerkgroep($kenmerkgroep))) {
            throw new \InvalidArgumentException($kenmerkgroepArrayErrorMessage, __LINE__);
        }
        $this->kenmerkgroep = $kenmerkgroep;
        return $this;
    }
    /**
     * Add item to kenmerkgroep value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\KenmerkgroepRec $item
     * @return \RelatieApiV6\StructType\Kenmerkgroeptable
     */
    public function addToKenmerkgroep(\RelatieApiV6\StructType\KenmerkgroepRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\KenmerkgroepRec) {
            throw new \InvalidArgumentException(sprintf('The kenmerkgroep property can only contain items of type \RelatieApiV6\StructType\KenmerkgroepRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->kenmerkgroep[] = $item;
        return $this;
    }
}
