<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Kenmerktable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met alle kenmerken
 * @subpackage Structs
 * @date 20240419 package
 */
class Kenmerktable extends AbstractStructBase
{
    /**
     * The kenmerk
     * Meta information extracted from the WSDL
     * - documentation: Kenmerken
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\KenmerkRec[]
     */
    public $kenmerk;
    /**
     * Constructor method for Kenmerktable
     * @uses Kenmerktable::setKenmerk()
     * @param \RelatieApiV6\StructType\KenmerkRec[] $kenmerk
     */
    public function __construct(array $kenmerk = array())
    {
        $this
            ->setKenmerk($kenmerk);
    }
    /**
     * Get kenmerk value
     * @return \RelatieApiV6\StructType\KenmerkRec[]|null
     */
    public function getKenmerk()
    {
        return $this->kenmerk;
    }
    /**
     * This method is responsible for validating the values passed to the setKenmerk method
     * This method is willingly generated in order to preserve the one-line inline validation within the setKenmerk method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateKenmerkForArrayConstraintsFromSetKenmerk(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $kenmerktableKenmerkItem) {
            // validation for constraint: itemType
            if (!$kenmerktableKenmerkItem instanceof \RelatieApiV6\StructType\KenmerkRec) {
                $invalidValues[] = is_object($kenmerktableKenmerkItem) ? get_class($kenmerktableKenmerkItem) : sprintf('%s(%s)', gettype($kenmerktableKenmerkItem), var_export($kenmerktableKenmerkItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The kenmerk property can only contain items of type \RelatieApiV6\StructType\KenmerkRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set kenmerk value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\KenmerkRec[] $kenmerk
     * @return \RelatieApiV6\StructType\Kenmerktable
     */
    public function setKenmerk(array $kenmerk = array())
    {
        // validation for constraint: array
        if ('' !== ($kenmerkArrayErrorMessage = self::validateKenmerkForArrayConstraintsFromSetKenmerk($kenmerk))) {
            throw new \InvalidArgumentException($kenmerkArrayErrorMessage, __LINE__);
        }
        $this->kenmerk = $kenmerk;
        return $this;
    }
    /**
     * Add item to kenmerk value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\KenmerkRec $item
     * @return \RelatieApiV6\StructType\Kenmerktable
     */
    public function addToKenmerk(\RelatieApiV6\StructType\KenmerkRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\KenmerkRec) {
            throw new \InvalidArgumentException(sprintf('The kenmerk property can only contain items of type \RelatieApiV6\StructType\KenmerkRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->kenmerk[] = $item;
        return $this;
    }
}
