<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Provinciecodetable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met beschikbare provinciecodes
 * @subpackage Structs
 * @date 20240419 package
 */
class Provinciecodetable extends AbstractStructBase
{
    /**
     * The provinciecode
     * Meta information extracted from the WSDL
     * - documentation: Provinciecodes
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\ProvinciecodeRec[]
     */
    public $provinciecode;
    /**
     * Constructor method for Provinciecodetable
     * @uses Provinciecodetable::setProvinciecode()
     * @param \RelatieApiV6\StructType\ProvinciecodeRec[] $provinciecode
     */
    public function __construct(array $provinciecode = array())
    {
        $this
            ->setProvinciecode($provinciecode);
    }
    /**
     * Get provinciecode value
     * @return \RelatieApiV6\StructType\ProvinciecodeRec[]|null
     */
    public function getProvinciecode()
    {
        return $this->provinciecode;
    }
    /**
     * This method is responsible for validating the values passed to the setProvinciecode method
     * This method is willingly generated in order to preserve the one-line inline validation within the setProvinciecode method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateProvinciecodeForArrayConstraintsFromSetProvinciecode(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $provinciecodetableProvinciecodeItem) {
            // validation for constraint: itemType
            if (!$provinciecodetableProvinciecodeItem instanceof \RelatieApiV6\StructType\ProvinciecodeRec) {
                $invalidValues[] = is_object($provinciecodetableProvinciecodeItem) ? get_class($provinciecodetableProvinciecodeItem) : sprintf('%s(%s)', gettype($provinciecodetableProvinciecodeItem), var_export($provinciecodetableProvinciecodeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The provinciecode property can only contain items of type \RelatieApiV6\StructType\ProvinciecodeRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set provinciecode value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\ProvinciecodeRec[] $provinciecode
     * @return \RelatieApiV6\StructType\Provinciecodetable
     */
    public function setProvinciecode(array $provinciecode = array())
    {
        // validation for constraint: array
        if ('' !== ($provinciecodeArrayErrorMessage = self::validateProvinciecodeForArrayConstraintsFromSetProvinciecode($provinciecode))) {
            throw new \InvalidArgumentException($provinciecodeArrayErrorMessage, __LINE__);
        }
        $this->provinciecode = $provinciecode;
        return $this;
    }
    /**
     * Add item to provinciecode value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\ProvinciecodeRec $item
     * @return \RelatieApiV6\StructType\Provinciecodetable
     */
    public function addToProvinciecode(\RelatieApiV6\StructType\ProvinciecodeRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\ProvinciecodeRec) {
            throw new \InvalidArgumentException(sprintf('The provinciecode property can only contain items of type \RelatieApiV6\StructType\ProvinciecodeRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->provinciecode[] = $item;
        return $this;
    }
}
