<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RelatieKortinggroeptable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met beschikbare relatie kortinggroepen
 * @subpackage Structs
 * @date 20240419 package
 */
class RelatieKortinggroeptable extends AbstractStructBase
{
    /**
     * The relatieKortinggroep
     * Meta information extracted from the WSDL
     * - documentation: Relatie kortinggroepen
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\RelatieKortinggroepRec[]
     */
    public $relatieKortinggroep;
    /**
     * Constructor method for RelatieKortinggroeptable
     * @uses RelatieKortinggroeptable::setRelatieKortinggroep()
     * @param \RelatieApiV6\StructType\RelatieKortinggroepRec[] $relatieKortinggroep
     */
    public function __construct(array $relatieKortinggroep = array())
    {
        $this
            ->setRelatieKortinggroep($relatieKortinggroep);
    }
    /**
     * Get relatieKortinggroep value
     * @return \RelatieApiV6\StructType\RelatieKortinggroepRec[]|null
     */
    public function getRelatieKortinggroep()
    {
        return $this->relatieKortinggroep;
    }
    /**
     * This method is responsible for validating the values passed to the setRelatieKortinggroep method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRelatieKortinggroep method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRelatieKortinggroepForArrayConstraintsFromSetRelatieKortinggroep(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $relatieKortinggroeptableRelatieKortinggroepItem) {
            // validation for constraint: itemType
            if (!$relatieKortinggroeptableRelatieKortinggroepItem instanceof \RelatieApiV6\StructType\RelatieKortinggroepRec) {
                $invalidValues[] = is_object($relatieKortinggroeptableRelatieKortinggroepItem) ? get_class($relatieKortinggroeptableRelatieKortinggroepItem) : sprintf('%s(%s)', gettype($relatieKortinggroeptableRelatieKortinggroepItem), var_export($relatieKortinggroeptableRelatieKortinggroepItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The relatieKortinggroep property can only contain items of type \RelatieApiV6\StructType\RelatieKortinggroepRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set relatieKortinggroep value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\RelatieKortinggroepRec[] $relatieKortinggroep
     * @return \RelatieApiV6\StructType\RelatieKortinggroeptable
     */
    public function setRelatieKortinggroep(array $relatieKortinggroep = array())
    {
        // validation for constraint: array
        if ('' !== ($relatieKortinggroepArrayErrorMessage = self::validateRelatieKortinggroepForArrayConstraintsFromSetRelatieKortinggroep($relatieKortinggroep))) {
            throw new \InvalidArgumentException($relatieKortinggroepArrayErrorMessage, __LINE__);
        }
        $this->relatieKortinggroep = $relatieKortinggroep;
        return $this;
    }
    /**
     * Add item to relatieKortinggroep value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\RelatieKortinggroepRec $item
     * @return \RelatieApiV6\StructType\RelatieKortinggroeptable
     */
    public function addToRelatieKortinggroep(\RelatieApiV6\StructType\RelatieKortinggroepRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\RelatieKortinggroepRec) {
            throw new \InvalidArgumentException(sprintf('The relatieKortinggroep property can only contain items of type \RelatieApiV6\StructType\RelatieKortinggroepRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->relatieKortinggroep[] = $item;
        return $this;
    }
}
