<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Relatienrtable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met Relatienummers
 * @subpackage Structs
 * @date 20240419 package
 */
class Relatienrtable extends AbstractStructBase
{
    /**
     * The relatienr
     * Meta information extracted from the WSDL
     * - documentation: relatienummers
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\RelatienrRec[]
     */
    public $relatienr;
    /**
     * Constructor method for Relatienrtable
     * @uses Relatienrtable::setRelatienr()
     * @param \RelatieApiV6\StructType\RelatienrRec[] $relatienr
     */
    public function __construct(array $relatienr = array())
    {
        $this
            ->setRelatienr($relatienr);
    }
    /**
     * Get relatienr value
     * @return \RelatieApiV6\StructType\RelatienrRec[]|null
     */
    public function getRelatienr()
    {
        return $this->relatienr;
    }
    /**
     * This method is responsible for validating the values passed to the setRelatienr method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRelatienr method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRelatienrForArrayConstraintsFromSetRelatienr(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $relatienrtableRelatienrItem) {
            // validation for constraint: itemType
            if (!$relatienrtableRelatienrItem instanceof \RelatieApiV6\StructType\RelatienrRec) {
                $invalidValues[] = is_object($relatienrtableRelatienrItem) ? get_class($relatienrtableRelatienrItem) : sprintf('%s(%s)', gettype($relatienrtableRelatienrItem), var_export($relatienrtableRelatienrItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The relatienr property can only contain items of type \RelatieApiV6\StructType\RelatienrRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set relatienr value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\RelatienrRec[] $relatienr
     * @return \RelatieApiV6\StructType\Relatienrtable
     */
    public function setRelatienr(array $relatienr = array())
    {
        // validation for constraint: array
        if ('' !== ($relatienrArrayErrorMessage = self::validateRelatienrForArrayConstraintsFromSetRelatienr($relatienr))) {
            throw new \InvalidArgumentException($relatienrArrayErrorMessage, __LINE__);
        }
        $this->relatienr = $relatienr;
        return $this;
    }
    /**
     * Add item to relatienr value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\RelatienrRec $item
     * @return \RelatieApiV6\StructType\Relatienrtable
     */
    public function addToRelatienr(\RelatieApiV6\StructType\RelatienrRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\RelatienrRec) {
            throw new \InvalidArgumentException(sprintf('The relatienr property can only contain items of type \RelatieApiV6\StructType\RelatienrRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->relatienr[] = $item;
        return $this;
    }
}
