<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchNaamTable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met Relatiegegevens, tbv de SearchNaam operatie
 * @subpackage Structs
 * @date 20240419 package
 */
class SearchNaamTable extends AbstractStructBase
{
    /**
     * The searchNaamRecV6
     * Meta information extracted from the WSDL
     * - documentation: relatiegegevens
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\SearchNaamRec[]
     */
    public $searchNaamRecV6;
    /**
     * Constructor method for SearchNaamTable
     * @uses SearchNaamTable::setSearchNaamRecV6()
     * @param \RelatieApiV6\StructType\SearchNaamRec[] $searchNaamRecV6
     */
    public function __construct(array $searchNaamRecV6 = array())
    {
        $this
            ->setSearchNaamRecV6($searchNaamRecV6);
    }
    /**
     * Get searchNaamRecV6 value
     * @return \RelatieApiV6\StructType\SearchNaamRec[]|null
     */
    public function getSearchNaamRecV6()
    {
        return $this->searchNaamRecV6;
    }
    /**
     * This method is responsible for validating the values passed to the setSearchNaamRecV6 method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSearchNaamRecV6 method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSearchNaamRecV6ForArrayConstraintsFromSetSearchNaamRecV6(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $searchNaamTableSearchNaamRecV6Item) {
            // validation for constraint: itemType
            if (!$searchNaamTableSearchNaamRecV6Item instanceof \RelatieApiV6\StructType\SearchNaamRec) {
                $invalidValues[] = is_object($searchNaamTableSearchNaamRecV6Item) ? get_class($searchNaamTableSearchNaamRecV6Item) : sprintf('%s(%s)', gettype($searchNaamTableSearchNaamRecV6Item), var_export($searchNaamTableSearchNaamRecV6Item, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The searchNaamRecV6 property can only contain items of type \RelatieApiV6\StructType\SearchNaamRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set searchNaamRecV6 value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\SearchNaamRec[] $searchNaamRecV6
     * @return \RelatieApiV6\StructType\SearchNaamTable
     */
    public function setSearchNaamRecV6(array $searchNaamRecV6 = array())
    {
        // validation for constraint: array
        if ('' !== ($searchNaamRecV6ArrayErrorMessage = self::validateSearchNaamRecV6ForArrayConstraintsFromSetSearchNaamRecV6($searchNaamRecV6))) {
            throw new \InvalidArgumentException($searchNaamRecV6ArrayErrorMessage, __LINE__);
        }
        $this->searchNaamRecV6 = $searchNaamRecV6;
        return $this;
    }
    /**
     * Add item to searchNaamRecV6 value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\SearchNaamRec $item
     * @return \RelatieApiV6\StructType\SearchNaamTable
     */
    public function addToSearchNaamRecV6(\RelatieApiV6\StructType\SearchNaamRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\SearchNaamRec) {
            throw new \InvalidArgumentException(sprintf('The searchNaamRecV6 property can only contain items of type \RelatieApiV6\StructType\SearchNaamRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->searchNaamRecV6[] = $item;
        return $this;
    }
}
