<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Titulatuurcodetable StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met beschikbare titulatuur codes
 * @subpackage Structs
 * @date 20240419 package
 */
class Titulatuurcodetable extends AbstractStructBase
{
    /**
     * The titulatuurcode
     * Meta information extracted from the WSDL
     * - documentation: Titulatuurcodes
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\TitulatuurcodeRec[]
     */
    public $titulatuurcode;
    /**
     * Constructor method for Titulatuurcodetable
     * @uses Titulatuurcodetable::setTitulatuurcode()
     * @param \RelatieApiV6\StructType\TitulatuurcodeRec[] $titulatuurcode
     */
    public function __construct(array $titulatuurcode = array())
    {
        $this
            ->setTitulatuurcode($titulatuurcode);
    }
    /**
     * Get titulatuurcode value
     * @return \RelatieApiV6\StructType\TitulatuurcodeRec[]|null
     */
    public function getTitulatuurcode()
    {
        return $this->titulatuurcode;
    }
    /**
     * This method is responsible for validating the values passed to the setTitulatuurcode method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTitulatuurcode method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTitulatuurcodeForArrayConstraintsFromSetTitulatuurcode(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $titulatuurcodetableTitulatuurcodeItem) {
            // validation for constraint: itemType
            if (!$titulatuurcodetableTitulatuurcodeItem instanceof \RelatieApiV6\StructType\TitulatuurcodeRec) {
                $invalidValues[] = is_object($titulatuurcodetableTitulatuurcodeItem) ? get_class($titulatuurcodetableTitulatuurcodeItem) : sprintf('%s(%s)', gettype($titulatuurcodetableTitulatuurcodeItem), var_export($titulatuurcodetableTitulatuurcodeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The titulatuurcode property can only contain items of type \RelatieApiV6\StructType\TitulatuurcodeRec, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set titulatuurcode value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\TitulatuurcodeRec[] $titulatuurcode
     * @return \RelatieApiV6\StructType\Titulatuurcodetable
     */
    public function setTitulatuurcode(array $titulatuurcode = array())
    {
        // validation for constraint: array
        if ('' !== ($titulatuurcodeArrayErrorMessage = self::validateTitulatuurcodeForArrayConstraintsFromSetTitulatuurcode($titulatuurcode))) {
            throw new \InvalidArgumentException($titulatuurcodeArrayErrorMessage, __LINE__);
        }
        $this->titulatuurcode = $titulatuurcode;
        return $this;
    }
    /**
     * Add item to titulatuurcode value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\TitulatuurcodeRec $item
     * @return \RelatieApiV6\StructType\Titulatuurcodetable
     */
    public function addToTitulatuurcode(\RelatieApiV6\StructType\TitulatuurcodeRec $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\TitulatuurcodeRec) {
            throw new \InvalidArgumentException(sprintf('The titulatuurcode property can only contain items of type \RelatieApiV6\StructType\TitulatuurcodeRec, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->titulatuurcode[] = $item;
        return $this;
    }
}
