<?php

namespace RelatieApiV6\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebserviceOperaties StructType
 * Meta information extracted from the WSDL
 * - documentation: Lijst met beschikbare webservice operaties.
 * @subpackage Structs
 * @date 20240419 package
 */
class WebserviceOperaties extends AbstractStructBase
{
    /**
     * The webserviceOperatie
     * Meta information extracted from the WSDL
     * - documentation: Beschikbare webservice operatie.
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \RelatieApiV6\StructType\WebserviceOperatie[]
     */
    public $webserviceOperatie;
    /**
     * Constructor method for WebserviceOperaties
     * @uses WebserviceOperaties::setWebserviceOperatie()
     * @param \RelatieApiV6\StructType\WebserviceOperatie[] $webserviceOperatie
     */
    public function __construct(array $webserviceOperatie = array())
    {
        $this
            ->setWebserviceOperatie($webserviceOperatie);
    }
    /**
     * Get webserviceOperatie value
     * @return \RelatieApiV6\StructType\WebserviceOperatie[]|null
     */
    public function getWebserviceOperatie()
    {
        return $this->webserviceOperatie;
    }
    /**
     * This method is responsible for validating the values passed to the setWebserviceOperatie method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebserviceOperatie method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebserviceOperatieForArrayConstraintsFromSetWebserviceOperatie(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $webserviceOperatiesWebserviceOperatieItem) {
            // validation for constraint: itemType
            if (!$webserviceOperatiesWebserviceOperatieItem instanceof \RelatieApiV6\StructType\WebserviceOperatie) {
                $invalidValues[] = is_object($webserviceOperatiesWebserviceOperatieItem) ? get_class($webserviceOperatiesWebserviceOperatieItem) : sprintf('%s(%s)', gettype($webserviceOperatiesWebserviceOperatieItem), var_export($webserviceOperatiesWebserviceOperatieItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The webserviceOperatie property can only contain items of type \RelatieApiV6\StructType\WebserviceOperatie, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set webserviceOperatie value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\WebserviceOperatie[] $webserviceOperatie
     * @return \RelatieApiV6\StructType\WebserviceOperaties
     */
    public function setWebserviceOperatie(array $webserviceOperatie = array())
    {
        // validation for constraint: array
        if ('' !== ($webserviceOperatieArrayErrorMessage = self::validateWebserviceOperatieForArrayConstraintsFromSetWebserviceOperatie($webserviceOperatie))) {
            throw new \InvalidArgumentException($webserviceOperatieArrayErrorMessage, __LINE__);
        }
        $this->webserviceOperatie = $webserviceOperatie;
        return $this;
    }
    /**
     * Add item to webserviceOperatie value
     * @throws \InvalidArgumentException
     * @param \RelatieApiV6\StructType\WebserviceOperatie $item
     * @return \RelatieApiV6\StructType\WebserviceOperaties
     */
    public function addToWebserviceOperatie(\RelatieApiV6\StructType\WebserviceOperatie $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \RelatieApiV6\StructType\WebserviceOperatie) {
            throw new \InvalidArgumentException(sprintf('The webserviceOperatie property can only contain items of type \RelatieApiV6\StructType\WebserviceOperatie, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->webserviceOperatie[] = $item;
        return $this;
    }
}
